package com.tmerclub.cloud.common.constant;


/**
 * @author lhd
 */
public enum AutoCheckEnum {
    /**
     * 人工判定
     */
    ARTIFICIAL(0, "人工判定"),
    /**
     * 系统判定
     */
    SYSTEM(1,"系统判定"),
    /**
     * 无需审核
     */
    NO_AUDIT(2,"无需审核");

    private final Integer value;
    private final String type;

    public Integer value() {
        return value;
    }

    public String type() {
        return type;
    }
    AutoCheckEnum(Integer value, String desc) {
        this.value = value;
        this.type = desc;
    }

    public static AutoCheckEnum instance(Integer value) {
        AutoCheckEnum[] enums = values();
        for (AutoCheckEnum stateEnum : enums) {
            if (stateEnum.value().equals(value)) {
                return stateEnum;
            }
        }
        return null;
    }
}
